import { mount } from '@vue/test-utils'
import { describe, it, expect } from 'vitest'
import TransitionExpand from '../TransitionExpand.vue'

describe('TransitionExpand.vue', () => {
    it('renders slot content', () => {
        const wrapper = mount(TransitionExpand, {
            slots: {
                default: '<p data-test="content">Hello</p>',
            },
        })
        expect(wrapper.find('[data-test="content"]').exists()).toBe(true)
    })
}) 